/* tslint:disable */
/* eslint-disable */
/**
 * opGUI - OpenAPI 3.0
 * Dummy description about the available endpoints Some useful links: - [The opGUI repository](https://gitlab.eclipse.org/eclipse/openpass/opgui) - [The documentation page](https://www.eclipse.org/openpass/content/html/index.html)
 *
 * The version of the OpenAPI document: 1.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
import type { TreeNode } from './TreeNode';
import {
    TreeNodeFromJSON,
    TreeNodeFromJSONTyped,
    TreeNodeToJSON,
} from './TreeNode';

/**
 * 
 * @export
 * @interface FileTreeExtended
 */
export interface FileTreeExtended {
    /**
     * Starting folder of the file tree
     * @type {string}
     * @memberof FileTreeExtended
     */
    basePath: string;
    /**
     * 
     * @type {TreeNode}
     * @memberof FileTreeExtended
     */
    fileSystemTree: TreeNode;
}

/**
 * Check if a given object implements the FileTreeExtended interface.
 */
export function instanceOfFileTreeExtended(value: object): boolean {
    let isInstance = true;
    isInstance = isInstance && "basePath" in value;
    isInstance = isInstance && "fileSystemTree" in value;

    return isInstance;
}

export function FileTreeExtendedFromJSON(json: any): FileTreeExtended {
    return FileTreeExtendedFromJSONTyped(json, false);
}

export function FileTreeExtendedFromJSONTyped(json: any, ignoreDiscriminator: boolean): FileTreeExtended {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'basePath': json['basePath'],
        'fileSystemTree': TreeNodeFromJSON(json['fileSystemTree']),
    };
}

export function FileTreeExtendedToJSON(value?: FileTreeExtended | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'basePath': value.basePath,
        'fileSystemTree': TreeNodeToJSON(value.fileSystemTree),
    };
}

